Skip to content

# Interface: WorkspaceModel

## Hierarchy

- WorkspaceModel

## Implemented by

- Workspace

## Index

### Properties

- activeClusterId
- description
- id
- name
- ownerRef

## Properties

### `Optional` activeClusterId

• activeClusterId? : ClusterId

Defined in src/common/workspace-store.ts:27

### `Optional` description

• description? : string

Defined in src/common/workspace-store.ts:25

### id

• id: WorkspaceId

Defined in src/common/workspace-store.ts:23

### name

• name: string

Defined in src/common/workspace-store.ts:24

### `Optional` ownerRef

• ownerRef? : string

Defined in src/common/workspace-store.ts:26